Bug 1300475 - Is it possible to update v8 to a version that supports generators?
Is it possible to update v8 to a version that supports generators?
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: v8 (Show other bugs)
23
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 18:59 EST by Matt Hirsch
Modified: 2016-02-28 23:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 11:16:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 832886 None None None 2016-01-20 18:59 EST

  None (edit)
Description Matt Hirsch 2016-01-20 18:59:09 EST
Description of problem: 

I would like to use the node-file-manager module in some code I'm writing, but it requires v8 to have generators. The version of v8 shipped with fedora 23 seems very old and doesn't have this feature.

Version-Release number of selected component (if applicable):
v8-3.14.5.10-21.fc23.x86_64

Additional info:

v8 is shipping 4.10.15 now. 

https://chromium.googlesource.com/v8/v8/

I see from this bug: https://bugzilla.redhat.com/show_bug.cgi?id=832886 that you were holding back the version of node in fedora for chromium. However, I don't see that chromium is packaged anymore by the fedora project.
Comment 1 Tom "spot" Callaway 2016-01-29 11:16:02 EST
Nodejs is getting updated in rawhide and using a bundled v8 rather than the system copy. I looked at updating the system copy of v8 (which is being used by rubygem-therubyracer), but it doesn't support current v8 builds.

I'm not comfortable making a major change like this to Fedora 23, and the feature you need in node is already there (I think) in Rawhide without changing this package... so I'm closing this CANTFIX.

I've made a copr for the v8 package work I did before I realized it was a bit futile, in case someone else finds it useful later:

https://copr.fedorainfracloud.org/coprs/spot/v8
Comment 2 Matt Hirsch 2016-02-28 23:17:50 EST
Tom,

I want to say (belatedly) thanks for looking into this, and thanks for posting the copr.

Note You need to log in before you can comment on or make changes to this bug.